﻿using System;
using System.Threading;

using OpenQA.Selenium;
using OpenQA.Selenium.Chrome;
using OpenQA.Selenium.Support.UI;

using SeleniumExtras.WaitHelpers;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            ChromeDriverService driverService = ChromeDriverService.CreateDefaultService();

            driverService.HideCommandPromptWindow = true;

            ChromeOptions options = new ChromeOptions();

            options.AddArgument("--start-maximized"); 

            ChromeDriver driver = new ChromeDriver(driverService, options);

            INavigation navigation = driver.Navigate();

            navigation.GoToUrl("https://icodebroker.tistory.com/");

            WebDriverWait wait = new WebDriverWait(driver, TimeSpan.FromSeconds(10));

            wait.Until(ExpectedConditions.ElementExists(By.XPath("/html/body")));

            Thread.Sleep(1000);

            Console.WriteLine("크롬 브라우저를 종료하려면 아무 키나 눌러주시기 바랍니다.");

            Console.ReadKey(false);

            driver.Quit();
        }

        #endregion
    }
}